Update Dev User
Updates the user corresponding to the input Id.
Updates the user corresponding to the input Id.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
Availability modes of the Dev user. Stock allowed values:
{
"id": 1,
"label": "Ticket",
"ordinal": 1,
"overridable": false
},
{
"id": 2,
"label": "Conversation",
"ordinal": 2,
"overridable": false
},
{
"id": 3,
"label": "Issue",
"ordinal": 3,
"overridable": false
},
{
"id": 4,
"label": "Incident",
"ordinal": 4,
"overridable": false
},
{
"id": 5,
"label": "Away",
"ordinal": 5,
"overridable": false
},
{
"id": 6,
"label": "Sick",
"ordinal": 6,
"overridable": false
},
{
"id": 7,
"label": "Lunch",
"ordinal": 7,
"overridable": false
},
{
"id": 8,
"label": "Travel",
"ordinal": 8,
"overridable": false
},
{
"id": 9,
"label": "Vacation",
"ordinal": 9,
"overridable": false
}Application-defined custom fields.
Custom schemas described using identifiers. Each custom field in the request must have the corresponding schema specified; omission results in a Bad Request error. If a custom schema is not included in the specifier, it remains unchanged. For surfaces with human interactors, it is recommended to provide tenant_fragment: true and validate_required_fields: true.
The updated display name of the Dev user.
textStart date of Dev user's experience.
date-timeThe updated full name of the Dev user.
textThe ID for the Dev user to be updated.
idThe job function of the Dev user.
textJob history of the Dev user.
Job title of the Dev User.
"customer_success_manager" | "cxo" | "designer" | "developer" | "head_of_support" | "operations" | "others" | "product_manager" | "qa" | "revenue_leader" | "support" | "tech_lead"The ID of the Dev user that the user reports to.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/dev-users.update" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{
"dev_user": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"phone_numbers": [
"string"
],
"primary_identity": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"state": "active",
"availability_modes": [
{
"color": "string",
"id": 0,
"label": "string",
"ordinal": 0,
"value": null
}
],
"custom_fields": {},
"custom_schema_fragments": [
"don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id"
],
"experience_start_date": "2023-01-01T12:00:00.000Z",
"external_identities": [
{
"display_name": "string",
"id": "string",
"is_verified": true,
"issuer": "string"
}
],
"job_history": [
{
"employment_status": {
"color": "string",
"id": 0,
"label": "string",
"ordinal": 0,
"value": null
},
"end_date": "2023-01-01T12:00:00.000Z",
"is_current": true,
"location": "string",
"start_date": "2023-01-01T12:00:00.000Z",
"title": "string"
}
],
"reports_to": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"skills": [
{
"name": "string"
}
],
"stock_schema_fragment": "don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id",
"subtype": "string",
"timezone": "string"
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}